--- !ruby/object:RI::MethodDescription 
aliases: []

block_params: 
comment: 
- !ruby/struct:SM::Flow::P 
  body: Matches any object that is a kind of <tt>klass</tt>
- !ruby/struct:SM::Flow::VERB 
  body: "  object = mock()\n  object.expects(:method_1).with(kind_of(Integer))\n  object.method_1(99)\n  # no error raised\n\n  object = mock()\n  object.expects(:method_1).with(kind_of(Integer))\n  object.method_1('string')\n  # error raised, because method_1 was not called with a kind of Integer\n"
full_name: Mocha::ParameterMatchers#kind_of
is_singleton: false
name: kind_of
params: " kind_of(klass) -> parameter_matcher\n"
visibility: public
